summaryrefslogtreecommitdiffstats
path: root/games/qtads
diff options
context:
space:
mode:
Diffstat (limited to 'games/qtads')
-rw-r--r--games/qtads/README12
-rw-r--r--games/qtads/doinst.sh14
-rw-r--r--games/qtads/qtads.SlackBuild82
-rw-r--r--games/qtads/qtads.info10
-rw-r--r--games/qtads/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/games/qtads/README b/games/qtads/README
new file mode 100644
index 0000000000..d04031da8f
--- /dev/null
+++ b/games/qtads/README
@@ -0,0 +1,12 @@
+qtads (a multimedia interpreter for TADS games)
+
+QTads is a so called "interpreter" for games created with the Text
+Adventure Development System, or "TADS" for short, a C-like object
+oriented programming language for authoring Interactive Fiction
+(similar to the Infocom or Legend Entertainment games, like
+"Zork"). Yes, we are talking about text adventures here.
+
+Both TADS 2 (*.gam) and TADS 3 (*.t3) games are supported. You can
+find a selection of games at:
+
+http://www.ifarchive.org/if-archive/games/tads/
diff --git a/games/qtads/doinst.sh b/games/qtads/doinst.sh
new file mode 100644
index 0000000000..7443749d1c
--- /dev/null
+++ b/games/qtads/doinst.sh
@@ -0,0 +1,14 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/qtads/qtads.SlackBuild b/games/qtads/qtads.SlackBuild
new file mode 100644
index 0000000000..5de063950f
--- /dev/null
+++ b/games/qtads/qtads.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Slackware build script for qtads
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20230711 bkw: updated for v3.4.0.
+# 20220611 bkw: updated for v3.3.0.
+# 20211022 bkw: updated for v3.2.0.
+# 20201020 bkw: updated for v3.0.0. Sadly the qt4 UI is gone in this
+# release, so qt5 is now a hard dep. SDL2_sound is no longer needed, but
+# it's replaced with fluidsynth.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=qtads
+VERSION=${VERSION:-3.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No SLKCFLAGS: qmake-qt5 uses the CFLAGS qt5 was built with.
+# No need for LIBDIRSUFFIX either, qtads doesn't use /usr/lib(64).
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# In case the user just installed qt5 and hasn't logged out & back in:
+[ "$QT5DIR" = "" ] && source /etc/profile.d/qt5.sh
+
+qmake-qt5 PREFIX=/usr BINDIR=/usr/games DOCDIR=/usr/doc/$PRGNAM-$VERSION
+
+# Hardcoded share/ in man path.
+sed -i 's,/usr/share/man,/usr/man,g' Makefile
+
+# Setting CC/CXX shows the actual compile commands. Using gold speeds
+# up linking enough to be worth the effort.
+make CC=gcc CXX=g++ LINK="g++ -fuse-ld=gold"
+
+# INSTALL_ROOT, *not* DESTDIR here!
+make install INSTALL_ROOT=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+# 'make install' doesn't install the GPL.
+cp -a LICENSE.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/qtads/qtads.info b/games/qtads/qtads.info
new file mode 100644
index 0000000000..c0c67eae0e
--- /dev/null
+++ b/games/qtads/qtads.info
@@ -0,0 +1,10 @@
+PRGNAM="qtads"
+VERSION="3.4.0"
+HOMEPAGE="https://github.com/realnc/qtads"
+DOWNLOAD="https://github.com/realnc/qtads/releases/download/v3.4.0/qtads-3.4.0-source.tar.xz"
+MD5SUM="aa56a7b2e6e4210c1b91159b25050ec9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/qtads/slack-desc b/games/qtads/slack-desc
new file mode 100644
index 0000000000..a976f829d9
--- /dev/null
+++ b/games/qtads/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qtads: qtads (a multimedia interpreter for TADS games)
+qtads:
+qtads: QTads is a so called "interpreter" for games created with the Text
+qtads: Adventure Development System, or "Tads" for short, a C-like object
+qtads: oriented programming language for authoring Interactive Fiction
+qtads: (similar to the Infocom or Legend Entertainment games, like
+qtads: "Zork"). Yes, we are talking about text adventures here.
+qtads:
+qtads:
+qtads:
+qtads: